
From: Johannes Stezenbach <js@linuxtv.org>

Fix for QAM128 in VHF band suggested by Timo Helki.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/ttpci/budget-av.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/dvb/ttpci/budget-av.c~dvb-ttpci-budget-av--tu1216-fix-for-qam128 drivers/media/dvb/ttpci/budget-av.c
--- 25/drivers/media/dvb/ttpci/budget-av.c~dvb-ttpci-budget-av--tu1216-fix-for-qam128	Mon Jun 27 15:36:36 2005
+++ 25-akpm/drivers/media/dvb/ttpci/budget-av.c	Mon Jun 27 15:36:36 2005
@@ -570,9 +570,9 @@ static int philips_cu1216_pll_set(struct
 
 	buf[0] = (div >> 8) & 0x7f;
 	buf[1] = div & 0xff;
-	buf[2] = 0x8e;
-	buf[3] = (params->frequency < 174500000 ? 0xa1 :
-		  params->frequency < 454000000 ? 0x92 : 0x34);
+	buf[2] = 0x86;
+	buf[3] = (params->frequency < 150000000 ? 0x01 :
+		  params->frequency < 445000000 ? 0x02 : 0x04);
 
 	if (i2c_transfer(&budget->i2c_adap, &msg, 1) != 1)
 		return -EIO;
_
